"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.httpViaBackend = void 0;
const remote_api_1 = require("../remote-api");
const common_1 = require("../common");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
async function httpViaBackend(params, context) {
    return await (0, remote_api_1.fetchWeda)({
        action: 'ProcessConnectorInternalMethod',
        data: {
            method: params.methodName,
            dataSourceName: params.dataSourceName,
            params: params.params || {},
        },
    })
        .then(res => res.Data)
        .catch((err) => {
        common_1.logger.warn('httpViaBackend failed', err);
        throw err;
    });
}
exports.httpViaBackend = httpViaBackend;
